# Spec

interface Spec<T>

Represents some predicate against objects of type T.

#### Parameters

<T>

The target type for this Spec

#### Inheritors

CompositeSpec
NotSpec

## Functions

invoke
Link copied to clipboard
operator fun <T> Spec<T>.invoke(arg: T): Boolean

Enables function invocation syntax on Spec instances.

isSatisfiedBy
Link copied to clipboard
abstract fun isSatisfiedBy(element: T): Boolean